window.addEventListener("load", chooseKey, true);

/**
 * Set the shortcut based on preferences or OS
 */
function chooseKey(){
	var key='k';
		
	var os=navigator.platform.toLowerCase();
	if(os.indexOf('linux')!=-1)
		key='j';
		
	try{
		var prefs = Components.classes["@mozilla.org/preferences-service;1"].
			getService(Components.interfaces.nsIPrefBranch);

		var keypref=prefs.getCharPref('switchengine.shortcut');
	
		if(keypref.length > 0)
			key = keypref; 
	}
	catch(e){}
	
	document.getElementById('key_switchengine').setAttribute('key',key);
}

/**
 * show the search bar popup
 */
function showSearchBarPopup(){
	var searchpopup   = document.getElementById('SearchBarPopup');
	var searchproxybutton = document.getElementById('search-proxy-button');
	searchpopup.showPopup(searchproxybutton,-1,-1,"popup","bottomleft","topleft");
	
	focusSearchBar();
}
